Page MenuHomePhabricator

Correcting Persian date formats
Closed, ResolvedPublic

Description

Author: roozbeh

Description:
patch to correct Persian date formats

Some of the present date formats do not follow the esatablished formats for date and time. The established formats are specified in the document "Locale requirements for Persian language of Iran", available here:
http://www.farsiweb.ir/mediawiki/images/3/3b/Locale-12.pdf

In the attached patch, I am fixing the following issues:

  1. Move the time after the date, separating them with a short text phrase, as specified in the locale requirements document, section 6 ("complete time"), page 10.
  1. Making Gregorian mdy and ymd formats use month numbers instead of month names, as using month names in a different order does not result in recognizable dates in Persian. I do not expect many people to use these fixed formats even after the change, but before the change, they were unusable.
  1. Since I am replacing month names with numbers in some of the formats, and a totally numerical date may result in a confusion about the date system, I am adding the necessary suffix for the date system to those two formats, as specified in the locale requirements document, page 4.

An alternative to changes made in 2 and 3, would be removing 'mdy' and 'ymd' from $datePreferences, or just removing 'mdy' and changing 'ymd' to use the new Iranian calendar with a suffix indicating the .


Version: 1.12.x
Severity: normal
URL: http://www.farsiweb.ir/mediawiki/images/3/3b/Locale-12.pdf

Attached:

Details

Reference
bz12024

Event Timeline

bzimport raised the priority of this task from to Normal.Nov 21 2014, 9:56 PM
bzimport set Reference to bz12024.
bzimport added a subscriber: Unknown Object (MLST).
bzimport created this task.Nov 18 2007, 3:21 PM
Huji added a comment.Nov 19 2007, 4:07 PM

Applied with r27631.